Bug 1461804 - Missing GPGkey field while creating new product via repo discovery
Missing GPGkey field while creating new product via repo discovery
Status: VERIFIED
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Repositories (Show other bugs)
6.3.0
Unspecified Unspecified
unspecified Severity high (vote)
: GA
: --
Assigned To: Tom McKay
Katello QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-15 07:13 EDT by Sachin Ghai
Modified: 2017-08-15 16:31 EDT (History)
4 users (show)

See Also:
Fixed In Version: tfm-rubygem-katello-3.4.4
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Missing GPGkey field while creating new product via repo discovery (32.22 KB, image/png)
2017-06-15 07:13 EDT, Sachin Ghai
no flags Details
in 6.2, gpgkey field was there (24.15 KB, image/png)
2017-06-15 07:14 EDT, Sachin Ghai
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 20026 None None None 2017-06-15 08:31 EDT

  None (edit)
Description Sachin Ghai 2017-06-15 07:13:55 EDT
Created attachment 1288009 [details]
Missing GPGkey field while creating new product via repo discovery

Description of problem:
In satellite6.2, when we create product during repo discovery, we see the GPG key field. Use can specify key. However in 6.3, its not there.

Is it expected behaviour for 6.3 ?

Please see the screen shots for more info

Version-Release number of selected component (if applicable):
satellite 6.3 snap2

How reproducible:


Steps to Reproduce:
1. go to product page
2. select repo discovery
3. specify URL to discover repos
4. select the discovered repo and click create
5. from dropdown, select 'New Product'

Actual results:
Missing GPGkey field while creating new product via repo discovery

Expected results:
it was there in 6.2

Additional info:
Comment 1 Sachin Ghai 2017-06-15 07:14 EDT
Created attachment 1288010 [details]
in 6.2, gpgkey field was there
Comment 4 Tom McKay 2017-06-15 08:31:55 EDT
Created redmine issue http://projects.theforeman.org/issues/20026 from this bug
Comment 5 pm-sat@redhat.com 2017-06-26 18:00:32 EDT
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20026 has been resolved.
Comment 6 pm-sat@redhat.com 2017-08-03 18:00:33 EDT
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20026 has been resolved.
Comment 7 Stanislav Tkachenko 2017-08-15 12:52:08 EDT
Verified on Satellite 6.3 Snap 11:
* satellite-6.3.0-16.0.beta.el7sat.noarch
* katello-3.4.4-2.el7sat.noarch
* foreman-1.15.3-1.el7sat.noarch

Note You need to log in before you can comment on or make changes to this bug.